Resolido Docs
Insights

List customer insights

GET
/insights

Recurring customer problems, bugs and feature requests extracted from conversations by AI.

Authorization

bearer insights:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: insights:read

Query Parameters

status?string
Value in"open""in_progress""resolved""dismissed"
type?string
Value in"bug""alert""feature_request""improvement"
severity?string
Value in"low""medium""high""critical"
agentId?string
Lengthlength <= 64
search?string
Lengthlength <= 200
limit?integer
Range1 <= value <= 300
Default50

Response Body

Success

application/json
  1. response
enabled*boolean

Whether insight extraction is turned on for the organization.

counts*
data*array<>
curl -X GET "https://example.com/insights"
{  "enabled": true,  "counts": {    "all": 0,    "featureRequest": 0,    "bug": 0,    "other": 0  },  "data": [    {      "id": "string",      "type": "bug",      "severity": "low",      "status": "open",      "title": "string",      "summary": "string",      "recommendation": "string",      "channel": "widget",      "agentId": "string",      "agentName": "string",      "sourceConversationId": "string",      "occurrences": {        "total": 0,        "people": 0,        "last7Days": 0,        "last30Days": 0      },      "firstSeenAt": 0,      "lastSeenAt": 0    }  ]}